osl::hash::BoardKey96 Struct Reference

`#include <hashKey.h>`

Inheritance diagram for osl::hash::BoardKey96:

## Public Member Functions

| BoardKey96 ()
| BoardKey96 (const std::pair< uint64_t, uint32_t > &src)
uint32_t | signature () const
size_t | size () const
uint64_t | operator[] (size_t i) const

## Detailed Description

Definition at line 15 of file hashKey.h.

## Constructor & Destructor Documentation

## BoardKey96() [1/2]

osl::hash::BoardKey96::BoardKey96 | ( |  | ) |

inline

Definition at line 17 of file hashKey.h.

## BoardKey96() [2/2]

osl::hash::BoardKey96::BoardKey96 | ( | const std::pair< uint64_t, uint32_t > & | src | ) |

inline

Definition at line 18 of file hashKey.h.

## Member Function Documentation

## operator[]()

uint64_t osl::hash::BoardKey96::operator[] | ( | size_t | i | ) | const

inline

Definition at line 24 of file hashKey.h.

## signature()

uint32_t osl::hash::BoardKey96::signature | ( |  | ) | const

inline

Definition at line 22 of file hashKey.h.

Referenced by std::hash< osl::BoardKey >::operator()().

## size()

size_t osl::hash::BoardKey96::size | ( |  | ) | const

inline

Definition at line 23 of file hashKey.h.

Referenced by osl::hash::operator<<().

The documentation for this struct was generated from the following file:

- hashKey.h